VirtualBox Main API

Public Attributes | List of all members
IHostPCIDevicePlugEvent Interface Reference

Notification when host PCI device is plugged/unplugged. More...

Inheritance diagram for IHostPCIDevicePlugEvent:

## Public Attributes
readonly attribute boolean | plugged
| If device successfully plugged or unplugged.
readonly attribute boolean | success
| If operation was successful, if false - 'message' attribute may be of interest.
readonly attribute IPCIDeviceAttachment | attachment
| Attachment info for this device.
readonly attribute wstring | message
| Optional error message.
Public Attributes inherited from IMachineEvent
readonly attribute wstringUUID | machineId
| ID of the machine this event relates to.
Public Attributes inherited from IEvent
readonly attribute VBoxEventType | type
| Event type.
readonly attribute IEventSource | source
| Source of this event.
readonly attribute boolean | waitable
| If we can wait for this event being processed.

## Additional Inherited Members
Public Member Functions inherited from IEvent
void | setProcessed ()
| Internal method called by the system when all listeners of a particular event have called IEventSource::eventProcessed.
void | waitProcessed (in long timeout, [retval] out boolean result)
| Wait until time outs, or this event is processed.

## Detailed Description

Notification when host PCI device is plugged/unplugged.

Plugging usually takes place on VM startup, unplug - when IMachine::detachHostPCIDevice is called.

See also
  IMachine::detachHostPCIDevice

Interface ID:
  `{A0BAD6DF-D612-47D3-89D4-DB3992533948}`

## Member Data Documentation

## ◆ plugged

readonly attribute boolean IHostPCIDevicePlugEvent::plugged

If device successfully plugged or unplugged.

## ◆ success

readonly attribute boolean IHostPCIDevicePlugEvent::success

If operation was successful, if false - 'message' attribute may be of interest.

## ◆ attachment

readonly attribute IPCIDeviceAttachment IHostPCIDevicePlugEvent::attachment

Attachment info for this device.

## ◆ message

readonly attribute wstring IHostPCIDevicePlugEvent::message

Optional error message.